// Barrel grouping all form field components
// See https://basarat.gitbooks.io/typescript/docs/tips/barrel.html

import { TextComponent } from './native/text/text.component';
import { TextareaComponent } from './native/textarea/textarea.component';
import { PasswordComponent } from './native/password/password.component';
import { SelectComponent } from './native/select/select.component';
import { RadioComponent } from './native/radio/radio.component';
import { HiddenComponent } from './native/hidden/hidden.component';
import { CheckbuttonComponent } from './custom/checkbutton/checkbutton.component';
import { DropdownModifiedInputComponent } from './custom/dropdown-modified-input/dropdown-modified-input.component';
import { MultilineComponent } from './custom/multiline/multiline.component';
import { CheckbuttonGroupComponent } from './group/checkbutton-group/checkbutton-group.component';
import { TimepickerComponent } from './kendo/timepicker/timepicker.component';
import { DatepickerComponent } from './kendo/datepicker/datepicker.component';
import { ButtonGroupComponent } from './nocontrol/button-group/button-group.component';
import { HeadingComponent } from './nocontrol/heading/heading.component';
import { DisplayComponent } from './nocontrol/display/display.component';

export const ffcArr = [
	TextComponent,
	TextareaComponent,
	PasswordComponent,
	SelectComponent,
	RadioComponent,
	HiddenComponent,
	CheckbuttonComponent,
	DropdownModifiedInputComponent,
	MultilineComponent,
	CheckbuttonGroupComponent,
	TimepickerComponent,
	DatepickerComponent,
	ButtonGroupComponent,
	HeadingComponent,
	DisplayComponent
];
